[Solved] Python AssertionError: MMCV==1.1.0 is used but incompatible. Please install mmcv>=1.0.5, <=1.0.5.

Traceback (most recent call last):
  File "tools/test.py", line 12, in <module>
    from mmdet.apis import multi_gpu_test, single_gpu_test
  File "d:\a\a project\cv\mmdetection-master\mmdet\__init__.py", line 25, in <module>
    f'MMCV=={mmcv.__version__} is used but incompatible. ' \
AssertionError: MMCV==1.1.0 is used but incompatible. Please install mmcv>=1.0.5, <=1.0.5.
mmcv

The version needs to be 1.0.5, and the default installation is 1.1.0.

Unload mmcv first

pip uninstall mmcv
pip uninstall mmcv-full

Then install the version of mmcv as 1.0.5

pip install mmcv==1.0.5


Read More: